### Method

# Clapper VideoStream get_codec

#### Declaration [src]

    gchar*
    clapper_video_stream_get_codec (
      ClapperVideoStream* stream
    )

#### Description [src]

Get codec used to encode `stream`.

Gets property | `Clapper.VideoStream:codec`

#### Return value

Type: `gchar*`

The video codec of stream or `NULL` if undetermined.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.